I know that Qt4 is practically dead, however, it would be nice to merge
with Debian to get the vulnerability fixes in 4:4.8.7+dfsg-18.

** Tags added: focal

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/1836444

Title:
  Merge qt4-x11 4:4.8.7+dfsg-18 (universe) from Debian unstable (main)

Status in qt4-x11 package in Ubuntu:
  New

Bug description:
  Please merge qt4-x11 4:4.8.7+dfsg-18 (universe) from Debian unstable
  (main)

  I cannot work on this merge myself. I filed this bug as a reference.

  Explanation of the Ubuntu delta:
    * Merge with Debian since qtchooser has versioned Breaks. (LP: #1584654)
    * Add one more macro to qt4-x11 moc to fix failing to parse BOOST_JOIN.
    * No-change rebuild for libpng soname change.
    * Rebuild against libmysqlclient20.
    * Merge with Debian; remaining changes:
      - Pass list-missing to dh_install instead of fail-missing, since we don't
        install the QtWebkit headers
      - Make sure libqt4-opengl-dev depends on gles libs for armel and armhf
      - Do not package ibase/firebird and sqlite2 package
        + remove from debian/control
        + libqt4-sql doesn't recommend libqt4-sql-ibase and libqt4-sql-sqlite2
      - Also exclude webkit examples from dh_shlibdeps
      - Do not build libqt4-phonon, disable in debian/control
      - Add debian/Trolltech.conf and install it in libqtcore4.install
      - Build with -no-neon on armel and armhf
      - Build with -no-javascript-jit on arm64
      - Add patches:
        + kubuntu_10_ibus_input_method.diff
        + kubuntu_12_fix_stack_protector.diff
        + kubuntu_28_xi2.1.patch
        + kubuntu_30_translucent_drag_pixmap.diff
        + kubuntu_37_cups_settings.diff
        + kubuntu_39_fix_medium_font.diff
        + kubuntu_40_disable_neon.patch
        + kubuntu_43_no_meego_helper.patch
        + kubuntu_93_disable_overlay_scrollbars.diff
        + kubuntu_94_xinput_valuators_fix.diff
        + kubuntu_95_qt_disable_bounce.diff
        + kubuntu_97_a11y_qt_and_qml_backport.diff
        + kubuntu_98_a11y_fix_crash.diff
        + kubuntu_glib-honor-ExcludeSocketNotifiers-flag.diff
        + kubuntu_qclipboard_delay.diff
        + kubuntu_qclipboard_fix_recursive.diff
      - Drop powerpc_designer_gstabs.diff, it breaks powerpc
    * Update symbols files.

  Changelog entries since current eoan version 4:4.8.7+dfsg-7ubuntu1:

  qt4-x11 (4:4.8.7+dfsg-18) unstable; urgency=medium

    * Team upload.

    [ Edward Betts ]
    * debian/NEWS: Replace UNRELEASED with unstable.

    [ Alexander Volkov ]
    * Backport some vulnerability fixes from Qt 5 (closes: #923003).
      - CVE-2018-15518: double free or corruption in QXmlStreamReader.
      - CVE-2018-19869: Qt Svg crash when parsing malformed url reference.
      - CVE-2018-19870: NULL pointer dereference in QGifHandler.
      - CVE-2018-19871: QTgaFile CPU exhaustion.
      - CVE-2018-19872: crash when parsing a malformed PPM image.
      - CVE-2018-19873: QBmpHandler segfault on malformed BMP file.

   -- Dmitry Shachnev <mity...@debian.org>  Fri, 12 Apr 2019 23:10:28
  +0300

  qt4-x11 (4:4.8.7+dfsg-17) unstable; urgency=medium

    * Add fix-build-icu59.patch from OpenSuse. Fixes build with icu59
     (Closes: #898542). Thanks John Paul Adrian Glaubitz for digging the
     patch!
    * Put the source package in section oldlibs. We do not expect new
      developments with qt4-x11.
    * Update Vcs-[Git Browser] to the new location in salsa.debian.org.

   -- Lisandro Damián Nicanor Pérez Meyer <lisan...@debian.org>  Tue, 15
  May 2018 13:24:10 -0300

  qt4-x11 (4:4.8.7+dfsg-16) unstable; urgency=medium

    * Update symbols files with buildds' logs.
    * Add a patch by Manuel A. Fernandez Montecelo to provide riscv64 support
     (Closes: #897667).

   -- Lisandro Damián Nicanor Pérez Meyer <lisan...@debian.org>  Fri, 04
  May 2018 22:53:17 -0300

  qt4-x11 (4:4.8.7+dfsg-15) unstable; urgency=medium

    * Actually upload it to unstable.

   -- Lisandro Damián Nicanor Pérez Meyer <lisan...@debian.org>  Wed, 18
  Apr 2018 17:45:31 -0300

  qt4-x11 (4:4.8.7+dfsg-14) experimental; urgency=medium

    * Update symbols files with buildds' logs.
    * Add NEWS.Debian to explicitely tell users of the OpenSSL 1.1 patch.

   -- Lisandro Damián Nicanor Pérez Meyer <lisan...@debian.org>  Wed, 18
  Apr 2018 16:30:10 -0300

  qt4-x11 (4:4.8.7+dfsg-13) experimental; urgency=medium

    * Add extra patch from Dmitry Eremin-Solenikov to make Qt4 work with
      OpenSSL 1.1 (Closes: #873275).
    * Recommend default-libmysqlclient-dev instead of libmysqlclient-dev.

   -- Lisandro Damián Nicanor Pérez Meyer <lisan...@debian.org>  Fri, 10
  Nov 2017 15:36:11 -0300

  qt4-x11 (4:4.8.7+dfsg-12) experimental; urgency=medium

    * Add openssl_1.1.patch to let Qt4 use OpenSSL 1.1 (Closes: #828522).
      - Switch libssl-1.0-dev to libssl-dev to use OpenSSL 1.1.
    * Update symbols files with current build log.

   -- Lisandro Damián Nicanor Pérez Meyer <lisan...@debian.org>  Tue, 15
  Aug 2017 13:25:00 -0300

  qt4-x11 (4:4.8.7+dfsg-11) unstable; urgency=medium

    * Switch libmysqlclient-dev to default-libmysqlclient-dev.

   -- Lisandro Damián Nicanor Pérez Meyer <lisan...@debian.org>  Wed, 09
  Nov 2016 13:50:49 -0300

  qt4-x11 (4:4.8.7+dfsg-10) unstable; urgency=medium

    * Update symbols files with buildds' logs.
    * Update libqtcore4's libicu55 suggestion to libicu57 (Closes: #842955).
      Thanks Dmitry Eremin-Solenikov for the bug report.
    * Switch the build dependency on libssl-dev to libssl1.0-dev. While a
      patch has been proposed applying it just a few days before the transitions
      freeze is not the right moment to do such a change, specially when we have
      no Qt upstream that will check the code nor working unit tests for the
      functionality. We will push this patch as soon as the Buster development
      cycle is started.

   -- Lisandro Damián Nicanor Pérez Meyer <lisan...@debian.org>  Wed, 02
  Nov 2016 20:40:33 -0300

  qt4-x11 (4:4.8.7+dfsg-9) unstable; urgency=medium

    * Update symbols files with buildds' and current logs.
    * Add support for LXDE (Closes: #836894).

   -- Lisandro Damián Nicanor Pérez Meyer <lisan...@debian.org>  Fri, 09
  Sep 2016 14:09:51 -0300

  qt4-x11 (4:4.8.7+dfsg-8) unstable; urgency=medium

    [ Pino Toscano ]
    * Disable pch also on powerpcspe; thanks Roland Stigge. (Closes: #773270)

    [ Lisandro Damián Nicanor Pérez Meyer ]
    * Apply Raphaël Halimi's patch to add MATE detection (Closes: #825769).
    * Update symbols files with buildds' logs.

   -- Lisandro Damián Nicanor Pérez Meyer <lisan...@debian.org>  Sun, 29
  May 2016 16:48:10 -0300

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qt4-x11/+bug/1836444/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to     : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to